Subject: Re: git-svn throwing assertion on old svn tracking branch

From: Nicolas Vilz <[email-masked]>
Date: Fri, 22 Dec 2006 03:16:13 +0100

On Fri, Dec 22, 2006 at 02:35:10AM +0100, Nicolas Vilz wrote:
> On Wed, Dec 20, 2006 at 05:05:20PM -0800, Eric Wong wrote:
> > Nicolas Vilz <[email-masked]> wrote:
[...]
> 
> The repository i am tracking does still exist. both, the tree and the
> repository are on the same revision-number, so i am a bit clueless.
> 
> I tried a fresh fetch of this repository, it worked. so it shouldn't be
> a client-server version mismatch..
> 
> I also tried 
> 
> rm -rf .git/svn/svn_master/tree && git-svn rebuild -i svn_master
> 
> this had no effect to git-svn fetch -i svn_master... i get the very same
> error message...
> 
> I didn't alter there anything, so i think, fetching works, but if
> nothing is there to fetch, there is the initial error message...
> 
> beneath there is svn, version 1.4.2 (r22196) ... on that repository is
> Subversion version 1.1.4 (r13838).

i should ammend, that the same error message comes, when i want to
dcommit something in this repository...